%% DEXAMETHASONE DATA, MARIA LINDH %%

DRUGDATA = [];

% Timepoints in the drug response time-series
DRUGDATA.timepoints = [0, 1, 2, 4, 6, 24];

%%% https://en.wikipedia.org/wiki/Unbiased_estimation_of_standard_deviation
corrs2 = 0.7978845608;
corrs3 = 0.8862269255;
corrs4 = 0.9213177319;
corrs5 = 0.9399856030;
corrs6 = 0.9515328619;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%% All DRUGDATA is done with LPS concentration of 100 ng/ml %%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%Time of LPS incubation (hours) Positive Control Positive Control Positive Control 0.3 μM dexamethasone 0.3 μM dexamethasone 0.3 μM dexamethasone 3 μM dexamethasone 3 μM dexamethasone 3 μM dexamethasone 0.3 μM dexamethasone (momentary) 0.3 μM dexamethasone (momentary) 0.3 μM dexamethasone (momentary) 3 μM dexamethasone (momentary) 3 μM dexamethasone (momentary) 3 μM dexamethasone (momentary)             
c2 = [9.224308  2.24057];     
c4 = [62.75599  57.82652]; l4 = [14.40909 17.0369 8.907761]; h4 = [2.258175 5.617577]; l4p = [32.60263 64.40515 23.60305]; h4p = [6.008508 3.997074 6.671851];
c6 = [194.3419  172.892]; l6 = [39.0532 43.15816 27.96148]; h6 = [16.71108 21.23619 12.19983]; l6p = [122.1991 197.0661 117.1118]; h6p = [50.12288 34.81426 32.16351];
c24 = [450.8582  485.3612]; l24 = [55.49924 53.36025 45.31882]; h24 = [29.17651 26.14517 24.43495]; l24p = [257.5461 391.8945 307.7493]; h24p = [96.68551 84.14325 97.12671];

% TNFA-response of the positive control (no drug) in the time-series
DRUGDATA.tnfa100Control = [0, 0, mean(c2), mean(c4), mean(c6), mean(c24)];
DRUGDATA.sem100Control  = [0, 0, std(c2)/sqrt(2)/corrs2, std(c4)/sqrt(2)/corrs2, std(c6)/sqrt(2)/corrs2, std(c24)/sqrt(2)/corrs2];

% TNFA-response of 0.3 uM dexamethasone in the time-series plot
DRUGDATA.tnfaLowdex = [0, 0, 0, mean(l4), mean(l6), mean(l24)];
DRUGDATA.semLowdex  = [0, 0, 0, std(l4)/sqrt(3)/corrs3, std(l6)/sqrt(3)/corrs3, std(l24)/sqrt(3)/corrs3];

% TNFA-response of 3 uM dexamethasone in the time-series plot 
DRUGDATA.tnfaHighdex = [0, 0, 0, mean(h4), mean(h6), mean(h24)];
DRUGDATA.semHighdex  = [0, 0, 0, std(h4)/sqrt(2)/corrs2, std(h6)/sqrt(3)/corrs3, std(h24)/sqrt(3)/corrs3];

% TNFA-response of 0.3 uM dexamethasone (pre-treatment) in the time-series.
DRUGDATA.tnfaLowdex_pre = [0, 0, 0, mean(l4p), mean(l6p), mean(l24p)];
DRUGDATA.semLowdex_pre  = [0, 0, 0, std(l4p)/sqrt(3)/corrs3, std(l6p)/sqrt(3)/corrs3, std(l24p)/sqrt(3)/corrs3];

% TNFA-response of 3 uM dexamethasone (pre-treatment) in the time-series.
DRUGDATA.tnfaHighdex_pre = [0, 0, 0, mean(h4p), mean(h6p), mean(h24p)];
DRUGDATA.semHighdex_pre  = [0, 0, 0, std(h4p)/sqrt(3)/corrs3, std(h6p)/sqrt(3)/corrs3, std(h24p)/sqrt(3)/corrs3];

%Set SEM to MAX(SEM)
DRUGDATA.sem100Control = [0,0,max(DRUGDATA.sem100Control),max(DRUGDATA.sem100Control),max(DRUGDATA.sem100Control),max(DRUGDATA.sem100Control)];
DRUGDATA.semLowdex = [0,0,0,max(DRUGDATA.semLowdex),max(DRUGDATA.semLowdex),max(DRUGDATA.semLowdex)];
DRUGDATA.semHighdex = [0,0,0,max(DRUGDATA.semHighdex),max(DRUGDATA.semHighdex),max(DRUGDATA.semHighdex)];
DRUGDATA.semLowdex_pre = [0,0,0,max(DRUGDATA.semLowdex_pre),max(DRUGDATA.semLowdex_pre),max(DRUGDATA.semLowdex_pre)];
DRUGDATA.semHighdex_pre = [0,0,0,max(DRUGDATA.semHighdex_pre),max(DRUGDATA.semHighdex_pre),max(DRUGDATA.semHighdex_pre)];

%Time of LPS incubation (hours) control control control pre-treatment 1  pre-treatment 1  pre-treatment 1  pre-treatment 2  pre-treatment 2  pre-treatment 2  pre-treatment 3  pre-treatment 3  pre-treatment 3 
c0 = [2.47024 1.00613]; p1_0 = [0]; p2_0 = [0]; p3_0 = [0.656634];  
c1 = [9.552152 9.736456 5.547666]; p1_1 = [2.686642]; p2_1 = [0]; p3_1 = [0];
c2 = [27.86127 37.92371 23.21987]; p1_2 = [9.274983 8.05449 11.15372]; p2_2 = [4.322602 15.06069 10.58173]; p3_2 = [2.707066 3.042841 6.421739];
c4 = [103.4877 172.0678 93.0803]; p1_4 = [65.6666 54.6981 55.74894]; p2_4 = [54.38446 51.23764 77.39728]; p3_4 = [17.42182 15.70416 35.74637];
c6 = [152.6309 220.9061 122.7121]; p1_6 = [89.44148 67.00409 85.37128]; p2_6 = [77.26416 86.26146 125.5514]; p3_6 = [32.67914 37.54742 61.43369];

%Annova
%Matr = [c6; p3_6; p2_6; p1_6]';
%[~,~,stats] = anova1(Matr);
%[c,~,~,gnames] = multcompare(stats,'CType','bonferroni');

% TIMEPOINTS
DRUGDATA.timepoints2 = [0, 1, 2, 4, 6];

% CONTROL: TNFA-response of 3 uM dexamethasone (pre-treatment) in the time-series.
DRUGDATA.pre_control_tnfa = [mean(c0), mean(c1), mean(c2), mean(c4), mean(c6)];
DRUGDATA.pre_control_sem = [std(c0)/sqrt(2)/corrs2, std(c1)/sqrt(3)/corrs3, std(c2)/sqrt(3)/corrs3, std(c4)/sqrt(3)/corrs3, std(c6)/sqrt(3)/corrs3];

% PRETREATMENT1: TNFA-response of 3 uM dexamethasone (pre-treatment) in the time-series.
DRUGDATA.pre1_tnfa = [0, 0, mean(p1_2), mean(p1_4), mean(p1_6)];
DRUGDATA.pre1_sem = [0, 0, std(p1_2)/sqrt(3)/corrs3, std(p1_4)/sqrt(3)/corrs3, std(p1_6)/sqrt(3)/corrs3];

% PRETREATMENT2: TNFA-response of 3 uM dexamethasone (pre-treatment) in the time-series.
DRUGDATA.pre2_tnfa = [0, 0, mean(p2_2), mean(p2_4), mean(p2_6)];
DRUGDATA.pre2_sem = [0, 0, std(p2_2)/sqrt(3)/corrs3, std(p2_4)/sqrt(3)/corrs3, std(p2_6)/sqrt(3)/corrs3];

% PRETREATMENT3: TNFA-response of 3 uM dexamethasone (pre-treatment) in the time-series.
DRUGDATA.pre3_tnfa = [0, 0, mean(p3_2), mean(p3_4), mean(p3_6)];
DRUGDATA.pre3_sem = [0, 0, std(p3_2)/sqrt(3)/corrs3, std(p3_4)/sqrt(3)/corrs3, std(p3_6)/sqrt(3)/corrs3];

%Set SEM to MAX(SEM)
DRUGDATA.pre1_sem = [0,0,max(DRUGDATA.pre1_sem),max(DRUGDATA.pre1_sem),max(DRUGDATA.pre1_sem)];
DRUGDATA.pre2_sem = [0,0,max(DRUGDATA.pre2_sem),max(DRUGDATA.pre2_sem),max(DRUGDATA.pre2_sem)];
DRUGDATA.pre3_sem = [0,0,max(DRUGDATA.pre3_sem),max(DRUGDATA.pre3_sem),max(DRUGDATA.pre3_sem)];
