close all 
 
global EXPDATA 
global paramNames  
global initCon  
global Model
global TNF_Timepoints
global DRUGDATA
global TNF_Timepoints2
global FID

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%          LOAD THE MODEL

Model = 'Macrophage_simple';
optModel = IQMmodel(strcat(Model,'.txt'));
IQMmakeMEXmodel(optModel,Model);
[paramNames, paramValues] = IQMparameters(optModel);
paramValues = paramValues(1:(end-2));
initCon = IQMinitialconditions(optModel);
LoadData;
LoadDrugData;
TNF_Timepoints = DRUGDATA.timepoints;
TNF_Timepoints2 = DRUGDATA.timepoints2;

FID = fopen('allGoodValues.dat','wt');
   
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%          THE OPTIMIZATION

psOpts = optimoptions(@particleswarm,'Display','iter');
saOpts = optimoptions(@simulannealbnd, 'HybridFcn',@fmincon,'Display','iter');%'TolFun', 1e-6, 'StallIterLimit', 1000, 

nParams = 16;
 
%Define upper and lower bounds
lb = ones(16,1) * 1e-3;
lb=log(lb);
ub = ones(16,1) * 1e3;
ub=log(ub);

format long
format compact
 
[optParamPS, minfunPS]=particleswarm(@cost_simple, nParams, lb,ub,psOpts);
[X, FVAL]=simulannealbnd(@cost_simple, optParamPS, lb,ub,saOpts);
save(sprintf('opt(%.2f), %s.mat',FVAL, datestr(now,'yymmdd-HHMMSS')),'X')

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
fclose(FID)

